Kaiten
Components

List components

Returns the list of all components.

GET
/components

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://demo.kaiten.sh/components"
[
  {
    "createdAt": "2023-10-01T12:00:00Z",
    "createdBy": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "John Doe"
    },
    "description": "Main API gateway component",
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "api-gateway",
    "previousComponentId": "123e4567-e89b-12d3-a456-426614174000",
    "slug": "api-gateway-v1-2-3",
    "version": "v1.2.3"
  }
]
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}
{
  "detail": "Property foo is required but is missing.",
  "errors": [
    {
      "location": "string",
      "message": "string",
      "value": null
    }
  ],
  "instance": "https://example.com/error-log/abc123",
  "status": 400,
  "title": "Bad Request",
  "type": "https://example.com/errors/example"
}